webdevqa.jp.net

以前のストレージドライバー「aufs」が失敗しました:ドライバーがサポートされていませんデーモンの開始エラー:グラフドライバーの初期化エラー:ドライバーがサポートされていません

コンソールでこの行を実行すると、ubuntu 14.04でローカルにdockerを実行しようとしたとき:

Sudo docker -d 

コンソールにこのエラーが表示されます:

Warning: '-d' is deprecated, it will be removed soon. See usage.
WARN[0000] please use 'docker daemon' instead.          
ERRO[0000] [graphdriver] prior storage driver "aufs" failed: driver not supported 
FATA[0000] Error starting daemon: error initializing graphdriver: driver not supported 
18
Hetdev

ダウンロードしたすべての画像を削除してみてください。

Sudo rm /var/lib/docker/aufs -rf

これは、カーネルの更新後にdockerを回復するのに役立ちました。

Githubの関連する問題:

32
Sergey Podobry

AUFSドライバーを削除したカーネルの更新後も同じ問題が発生しました。それを修正したもの:

Sudo apt-get install linux-image-extra-`uname -r` && Sudo modprobe aufs

将来の更新でドライバーが再度壊れる場合は、更新にコマンドをバンドルします。

Sudo apt-get update && Sudo apt-get upgrade && apt-get -y install linux-image-extra-$(uname -r) aufs-tools

Apt-get upgradeとdist-upgradeの違いについては、 apt-get dist-upgradeの代わりにapt-get upgradeを使用する理由 を参照してください。

24
Dan Dascalescu

Ask Ubunt で述べたように、残念ながら、次のコマンドを実行して、以前のDockerインストールを完全に削除する必要があります。

Sudo apt-get purge docker-engine

それぞれ。

Sudo apt-get purge docker.io

次に、/var/lib/dockerを削除する必要があります(または、すべてが機能するかどうかを最初に試したい場合は、別の名前に移動します)。

Sudo rm /var/lib/docker

それぞれ。

Sudo mv /var/lib/docker /var/lib/docker.old

その後、docker-engineパッケージを再度インストールできます。

同じ手順がdebianにも適用されます。

6
white_gecko

Ubuntuのカーネルにはいくつかの問題があるため、dockerを実行する最良の方法は次の行を使用することです。

Sudo docker -d --storage-driver=overlay
3
Hetdev